<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Models\Message;

class MessageController extends Controller
{
    public function create(Request $request){
    	$message = new Message();

    		
    	 $validatedData = $request->validate([
        'title' => 'required|max:30',
        'content' => 'required',
    	]);

    	$message->title = $request->title;
    	$message->content = $request->content;

    	$message->save();

    	return redirect('/');
    }

    public function view($id){
    	$message = Message::findOrFail($id);

    	return view('message', [
    		'message' => $message
    	]);
    }
}
