<?php

use Illuminate\Support\Facades\Route;

use App\Events\SentPost;

/* 
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/', 'App\Http\Controllers\MainController@index')->middleware('auth');

Route::post('/create', 'App\Http\Controllers\MessageController@create');

Route::get('/message/{id}', 'App\Http\Controllers\MessageController@view');

Route::middleware(['auth:sanctum', 'verified'])->get('/dashboard', function () {
    return view('dashboard');
})->name('dashboard');

Route::get('/event', function(){
	event(new SentPost('Your post was sent!'));
});