@extends('master')

@extends('navigation-dropdown')

@section('title', 'Mainpage')

@section('content')


<body>
	<form class="post" action="/create" method="post" align = "center">
		<div class="container" valign = "center">
			<h1>Twiravel</h1>
			<p>Post a message:</p>
			<input type="text" name="title" placeholder="Title"><br>
			<textarea cols="270" rows="5" name="content" placeholder="Content"></textarea><br>
			@if ($errors->any())
			<div class="alert alert-danger">
				<ul>
					@foreach ($errors->all() as $error)
					<li>{{ $error }}</li>
					@endforeach
				</ul>
			</div>
			@endif
			{{ csrf_field() }}
			<button type="submit">Submit</button>
		</div>
	</form>

	<br>
	
	<form class="postblock">
		<h2 class="recent">Recent Messages:</h2>
		@foreach($messages as $message)
		<form class="posts">
			<hr>
			<div class="p">
				<p><strong>{{ $message->title }}</strong></p>
				<p>{{ $message->content }}</p>
				<p>{{ $message->created_at->diffForHumans() }}</p>
				<a href="/message/{{ $message->id }}">View</a><br>
			</div>
		@endforeach
		</form>
	</form>
</body>

@endsection