<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1.0">
	<meta http-equiv="X-UA-Compatible" content="ie=edge">
	<title>@yield('title')</title>
	<style type="text/css">
		*{
			font-family: Roboto;
		}
		h1{
			text-align: center;
			color: #1DA1F2;
			padding-top: 32px;
		}
		*{
			font-family: Roboto;
		}
		button { 
			margin: 30px;
			align-self: right;
			width: 126px;
			height: 32px;
			background: #1DA1F2 0% 0% no-repeat padding-box;
			border-radius: 32px;
			opacity: 1;
			text-align: center;
			font-weight: 400;
			font-size: 14px;
			letter-spacing: 0;
			color: #FFFFFF;
			border: 0 solid transparent
		}
		input[type="text"], textarea {
			background: #FFFFFF 0% 0% no-repeat padding-box;
			border: 1px solid #AAAAAABF;
			border-radius: 12px;
			opacity: 1;
			font-weight: 400;
			font-size: 14px;
			letter-spacing: 0;
			color: #202020;
			opacity: 1;
			vertical-align: top;
			width: 270px;
			margin-top: 10px;
			text-indent: 10px;
			resize: none;
		}
		.post{
			display: block;
			margin-left: auto;
			margin-right: auto;
			width: 500px;
			height: 360px;
			background-color: #FFFFFF;
			border-radius: 32px
		}

		.message{
			display: block;
			margin-left: auto;
			margin-right: auto;
			width: 500px;
			height: 360px;
			background-color: #FFFFFF;
			border-radius: 32px;
			margin-top: 100px;
		}

		.logout{
			display: block;
			margin-left: 80%;
			text-align: center;
			font-weight: 400;
			font-size: 14px;
			letter-spacing: 0;
			color: #FFFFFF;
			border: 0 solid transparent;
			width: 126px;
			height: 32px;
			background: #1DA1F2 0% 0% no-repeat padding-box;
			border-radius: 32px;
			opacity: 1;
		}
		input[name="title"]{
			height: 25px;
		}
		body{
			background-color: #243447;
		}
		.posts{
			background-color: #FFFFFF;
			width: 900px;
			display: block;
			margin-left: auto;
			margin-right: auto;
			margin-top: 0;
			outline: 2px;
		}
		.postblock{
			background-color: #FFFFFF;
			width: 900px;
			margin-top: 50px;
			display: block;
			margin-left: auto;
			margin-right: auto;
			border-radius: 32px;
			opacity: 1;
		}
		.p{
			text-align: left;
			padding-bottom: 30px;
			padding-top: 10px;
			margin-left: 15%;
		}
		.text{
			text-align: left;
			padding-top: 30px;
			margin-left: 15%;
			width: 350px;
		}
		.recent{
			margin-left: 15%;
			padding-top: 50px;
			padding-bottom: 30px;
		}
		h3{
			font-size: 20px;
		}
		strong{
			font-size: 20px;
		}
		.link{
			margin-top: 5px;
		}
	</style>
</head>
<body>

	@yield('content')


</body>

</html>